require 'numplot'

require 'test-unit'

class TestYesNoOption < Test::Unit::TestCase
  include NumPlot
  
  def test_plot_arg
    assert_equal("", YesNoOption[:foo].plot_arg({}))
    assert_equal("", YesNoOption[:foo].plot_arg({bar:true}))
    assert_equal(" foo",
                 YesNoOption[:foo].plot_arg({bar:true, foo:true}))
    assert_equal(" nofoo",
                 YesNoOption[:foo].plot_arg({bar:true, foo:false}))
    assert_equal(" nofoo",
                 YesNoOption[:foo].plot_arg({bar:true, nofoo:true}))
    assert_equal(" foo",
                 YesNoOption[:foo].plot_arg({bar:true, nofoo:false}))
  end
end
