require 'numplot'

require 'test-unit'
require 'stringio'

class TestRGB < Test::Unit::TestCase
  include NumPlot
  
  def test_xrange
    strio = StringIO.new
    Plotter.new.xrange(1 .. 2, noreverse: false, nowriteback: true).plot(strio)
    assert_equal("set xrange [1:2]  reverse nowriteback\nplot \n", strio.string)
  end
end
