require 'numplot'

require 'test-unit'

class TestRGB < Test::Unit::TestCase
  include NumPlot
  
  def test_to_gnuplot_string
    assert_equal("rgbcolor \"black\"", RGB["black"].to_gnuplot_string)
    assert_equal("rgbcolor \"#0f12af\"", RGB["#0f12af"].to_gnuplot_string)
    assert_equal("rgbcolor \"#0f12af\"", RGB[0xf, 0x12, 0xaf].to_gnuplot_string)
  end
end
